%-------------------------------------------------
%Forward-backward substitution
%
%INPUT: fact a structure array containing
%           fact.LR  LR-factorization of A, i.e. PA=LR 
%           fact.piv permutation vector
%           fact.n   dimension of A
%       b   a vector of size n
%
%OUTPUT: x  the solution of Ax=b
%-------------------------------------------------
%
function x = vor_rueck(fact, b)
LR = fact.LR; piv = fact.piv; n  = fact.n;

b = b(piv); % Compute Pb

% Solve Ly = Pb by forward substitution
for i=2:n
   b(i) = ...; % compute i-th entry of y
end

% Solve Rx = y by backward substitution
for i=n:-1:1
   b(i) = ...; % compute i-th entry of x
end

x=b;
